clear;

% CPU run
tic
for i=1:4
    p = rand(2000);
    a(:,i) = eig(p);
end
toc

% CPU parallel run
if ~(matlabpool('size')), matlabpool; end
clear;
tic
parfor i=1:4
    p = rand(2000);
    b(:,i) = eig(p);
end
toc

% GPU parallel run
clear;
tic
for i=1:4
    p = gpuArray(rand(2000));
    c(:,i) = eig(p);
end
d = gather(c);
toc
